Arch Add/pt-br: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(4 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{Docnav
{{Docnav
Line 13: Line 14:
{{GuiCommand
{{GuiCommand
|Name=Arch Add
|Name=Arch Add
|MenuLocation=Arch → Add
|MenuLocation=Arch → Add component
|Workbenches=[[Arch_Workbench|Arch]]
|Workbenches=[[Arch_Workbench|Arch]]
|SeeAlso=[[Arch_Remove|Arch Remove]]
|SeeAlso=[[Arch_Remove|Arch Remove]]
}}
}}


<span id="Description"></span>
==Descrição==
==Descrição==


Line 31: Line 33:
{{Caption|A box added to a wall as a component.}}
{{Caption|A box added to a wall as a component.}}


<span id="Usage"></span>
==Utilização==
==Utilização==


Line 68: Line 71:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}



<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 73: Line 77:
|[[Arch_CutPlane/pt-br|Corte com plano]]
|[[Arch_CutPlane/pt-br|Corte com plano]]
|[[Arch_Remove/pt-br|Remover componente]]
|[[Arch_Remove/pt-br|Remover componente]]
|[[Arch_Module/pt-br|Arch]]
|[[Arch_Workbench/pt-br|Arch]]
|IconL=Arch_CutPlane.svg
|IconL=Arch_CutPlane.svg
|IconR=Arch_Remove.svg
|IconR=Arch_Remove.svg
Line 81: Line 85:


{{Arch Tools navi{{#translation:}}}}
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 14:32, 8 January 2024

Arch Add

Menu location
Arch → Add component
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Remove

Descrição

The Add tool allows you to do 4 kinds of operations:

The counterpart of this tool is the Arch Remove tool.

A box added to a wall as a component.

Utilização

  1. Select the objects to be added together. The last object selected will be the host Arch object.
  2. Press the button, or use Arch Add from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Add tool can be used in macros and from the Python console by using the following function:

addComponents(objectsList, host)
The above code snippet adds the given objects in objectsList to the given host object.
Note: objectsList can be a single object or a list of objects.

Example:

import FreeCAD, Arch, Draft, Part

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 2000, 0)

Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Arch.addComponents(Wall2, Wall)
FreeCAD.ActiveDocument.recompute()